#include <iostream>
#include <cmath>

using namespace std;

int main()
{
	int n,x,r=0,p=0;
	cin>>n>>x;
	int a[n];
	int maks=INT_MIN;
	int mini=INT_MAX;
	for(int i=0;i<n;i++){
		cin>>a[i];
		if(a[i]<mini)
		mini=a[i];
		if(a[i]>maks)
		maks=a[i];
	}
	int l=x-mini;
	int d=maks-x;
	if(maks>x){
	r+=d;
	p++;
	}
	if(mini<x){
		r+=l;
		p++;
	}
	if(p==2)
	r=r+min(l,d);
	cout<<r;
}